Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.jobmanager.config
Class IntervalJobDefinition

    java.lang.Object
      com.bea.p13n.jobmanager.config.AbstractJobDefinition
          com.bea.p13n.jobmanager.config.IntervalJobDefinition

All Implemented Interfaces
  IntervalJobDefinitionBean, JobDefinition

    public class IntervalJobDefinition

extends AbstractJobDefinition
implements IntervalJobDefinitionBean

This is a job definition for an `IntervalJob`.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.p13n.jobmanager.JobDefinition
`JobDefinition.JOB_TYPE`

Constructor Summary
`IntervalJobDefinition(String name)`

Method Summary
`int` | `getInterval()` What is the run interval in minutes.
`JobDefinition.JOB_TYPE` | `getJobType()`
`void` | `setInterval(int interval)`
`String` | `toString()`

Methods inherited from class com.bea.p13n.jobmanager.config.AbstractJobDefinition
`createJobListener, createJobParam, destroyJobListener, destroyJobParam, getDescription, getEnabled, getGroup, getJobClass, getJobListeners, getJobParams, getName, getNode, isEnabled, lookupJobListener, lookupJobParam, setDescription, setEnabled, setGroup, setJobClass, setJobParamBeans, setListenerBeans, setName, setNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.jobmanager.config.IntervalJobDefinitionBean
`createJobListener, createJobParam, destroyJobListener, destroyJobParam, getDescription, getEnabled, getGroup, getJobClass, getJobListeners, getJobParams, getName, getNode, lookupJobListener, lookupJobParam, setDescription, setEnabled, setGroup, setJobClass, setName, setNode`

Constructor Detail

### IntervalJobDefinition

    public IntervalJobDefinition(String name)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractJobDefinition`

### getJobType

    public JobDefinition.JOB_TYPE getJobType()

  Specified by:
    `getJobType` in class `AbstractJobDefinition`

### getInterval

    public int getInterval()

  Description copied from interface: `IntervalJobDefinitionBean`
  What is the run interval in minutes.

  Specified by:
    `getInterval` in interface `IntervalJobDefinitionBean`

### setInterval

    public void setInterval(int interval)

  Specified by:
    `setInterval` in interface `IntervalJobDefinitionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.